Skip to main content
PATCH
Update email settings

Authorizations

Authorization
string
header
required

API token from the Zenedu dashboard

Path Parameters

bot
integer
required

Bot ID

Body

application/json

All fields are optional; only the fields present in the request are changed.

sender_name
string | null

Sender name

Maximum string length: 255
reply_to
string<email> | null

Reply-to address

Maximum string length: 255
signature
string | null

Email signature

Maximum string length: 1000
button_color
string | null

Button color as a hex value, e.g. #1A2B3C

Pattern: ^#[0-9A-Fa-f]{6}$
zenedu_branding
boolean

Whether Zenedu branding is shown in emails

Response

Updated bot settings

data
object